/***************************************************************
	CPU UART シリアルコンソール入出力ドライバ ヘッダ
***************************************************************/

#ifndef __CPU_UART__
#define __CPU_UART__

/* コンソール用UART初期化 */
void CPU_UartInitialize(void);

/* コンソール1文字出力 */
void CPU_UartPutch(unsigned char);

/* コンソール文字列出力(\nだけで CR+LF出力) */
void CPU_UartPuts(unsigned char *);

/* コンソール文字列出力(文字列長さ指定付き/\nだけで CR+LF出力) */
void CPU_UartPutsL(unsigned char *, int);

/* コンソール入力バッファチェック */
int CPU_UartRecvCheck(void);

/* コンソール1文字入力(エコーバックなし) */
unsigned char CPU_UartGetch(void);

/* コンソール文字列入力(CRコードまで/最大255文字/エコーバックあり) */
int CPU_UartGets(unsigned char *);

#endif
